import { h } from "@stencil/core";
export class DbFooter {
    constructor() {
        this.border = false;
        this.copyright = false;
    }
    getCopyRight() {
        return `Copyright ${new Date().getFullYear()} DB Systel`;
    }
    render() {
        return (h("footer", { key: '32349339a5fc5644f749c1c82cfcd12945b44442', class: `rea-footer ${this.border ? 'has-border' : ''}` }, this.copyright ? h("span", null, this.getCopyRight()) : null, h("slot", { key: 'd92262707e7efedd8e913a7f890ed9b62f117d5b' })));
    }
    static get is() { return "db-footer"; }
    static get originalStyleUrls() {
        return {
            "$": ["db-footer.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["db-footer.css"]
        };
    }
    static get properties() {
        return {
            "border": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "The border attribute can be set to add a border on top of the footer."
                },
                "attribute": "border",
                "reflect": false,
                "defaultValue": "false"
            },
            "copyright": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "The copyright attribute can be set to enable a copyright string with current year."
                },
                "attribute": "copyright",
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
}
//# sourceMappingURL=db-footer.js.map
